<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/cores/FELIX_LINK_sim/FELIX_LINK.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_51d9c9f08f6806a0f97badf342e5b4d7.html">cores</a></li><li class="navelem"><a class="el" href="dir_08bb0f2be221e3b3915b6889758c87c6.html">FELIX_LINK_sim</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">FELIX_LINK.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">-- FELIX_LINK.vhd</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- Generated using ACDS version </span><span class="vhdllogic">16</span>.<span class="vhdllogic">0</span> <span class="vhdllogic">211</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="vhdlkeyword">library </span><span class="keywordflow">IEEE</span>;</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="vhdlkeyword">use </span>IEEE.std_logic_1164.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="vhdlkeyword">use </span>IEEE.numeric_std.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keywordflow">entity </span><a class="code" href="classFELIX__LINK.html">FELIX_LINK</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    <span class="vhdlkeyword">port</span> <span class="vhdlchar">(</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;        <span class="vhdlchar">pll_powerdown</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>   <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> --        pll_powerdown.pll_powerdown</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;        <span class="vhdlchar">tx_analogreset</span>       <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>   <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> --       tx_analogreset.tx_analogreset</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;        <span class="vhdlchar">tx_digitalreset</span>      <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>   <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> --      tx_digitalreset.tx_digitalreset</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;        <span class="vhdlchar">tx_pll_refclk</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>   <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> --        tx_pll_refclk.tx_pll_refclk</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <span class="vhdlchar">tx_pma_clkout</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                      --        tx_pma_clkout.tx_pma_clkout</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        <span class="vhdlchar">tx_serial_data</span>       <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                      --       tx_serial_data.tx_serial_data</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="vhdlchar">tx_pma_parallel_data</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">159</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> -- tx_pma_parallel_data.tx_pma_parallel_data</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="vhdlchar">pll_locked</span>           <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                      --           pll_locked.pll_locked</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="vhdlchar">tx_cal_busy</span>          <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                      --          tx_cal_busy.tx_cal_busy</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="vhdlchar">reconfig_to_xcvr</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">279</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> --     reconfig_to_xcvr.reconfig_to_xcvr</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <span class="vhdlchar">reconfig_from_xcvr</span>   <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">183</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span><span class="keyword">                     --   reconfig_from_xcvr.reconfig_from_xcvr</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">entity</span> <span class="vhdlchar">FELIX_LINK</span>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="vhdlkeyword">architecture</span> rtl <span class="vhdlkeyword">of</span> <a class="code" href="classFELIX__LINK.html">FELIX_LINK</a> is</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="vhdlkeyword">component</span> altera_xcvr_native_av <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="vhdlkeyword">generic</span> (</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;            tx_enable                       : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;            rx_enable                       : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;            enable_std                      : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;            data_path_select                : <span class="comment">string</span>  := <span class="keyword">&quot;pma_direct&quot;</span>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;            channels                        : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;            bonded_mode                     : <span class="comment">string</span>  := <span class="keyword">&quot;non_bonded&quot;</span>;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;            data_rate                       : <span class="comment">string</span>  := &quot;&quot;;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;            pma_width                       : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">80</span>;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;            tx_pma_clk_div                  : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;            pll_reconfig_enable             : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;            pll_external_enable             : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;            pll_data_rate                   : <span class="comment">string</span>  := &quot;<span class="vhdllogic">0 Mbps</span>&quot;;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;            pll_type                        : <span class="comment">string</span>  := <span class="keyword">&quot;CMU&quot;</span>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;            pma_bonding_mode                : <span class="comment">string</span>  := <span class="keyword">&quot;x1&quot;</span>;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;            plls                            : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;            pll_select                      : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;            pll_refclk_cnt                  : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;            pll_refclk_select               : <span class="comment">string</span>  := &quot;<span class="vhdllogic">0</span>&quot;;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;            pll_refclk_freq                 : <span class="comment">string</span>  := &quot;<span class="vhdllogic">125.0 MHz</span>&quot;;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;            pll_feedback_path               : <span class="comment">string</span>  := <span class="keyword">&quot;internal&quot;</span>;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;            cdr_reconfig_enable             : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;            cdr_refclk_cnt                  : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            cdr_refclk_select               : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;            cdr_refclk_freq                 : <span class="comment">string</span>  := &quot;&quot;;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;            rx_ppm_detect_threshold         : <span class="comment">string</span>  := &quot;<span class="vhdllogic">1000</span>&quot;;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            rx_clkslip_enable               : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            std_protocol_hint               : <span class="comment">string</span>  := <span class="keyword">&quot;basic&quot;</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;            std_pcs_pma_width               : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">10</span>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            std_low_latency_bypass_enable   : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            std_tx_pcfifo_mode              : <span class="comment">string</span>  := <span class="keyword">&quot;low_latency&quot;</span>;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;            std_rx_pcfifo_mode              : <span class="comment">string</span>  := <span class="keyword">&quot;low_latency&quot;</span>;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            std_rx_byte_order_enable        : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            std_rx_byte_order_mode          : <span class="comment">string</span>  := <span class="keyword">&quot;manual&quot;</span>;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            std_rx_byte_order_width         : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">10</span>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            std_rx_byte_order_symbol_count  : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;            std_rx_byte_order_pattern       : <span class="comment">string</span>  := &quot;<span class="vhdllogic">0</span>&quot;;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            std_rx_byte_order_pad           : <span class="comment">string</span>  := &quot;<span class="vhdllogic">0</span>&quot;;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            std_tx_byte_ser_enable          : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            std_rx_byte_deser_enable        : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;            std_tx_8b10b_enable             : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            std_tx_8b10b_disp_ctrl_enable   : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;            std_rx_8b10b_enable             : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            std_rx_rmfifo_enable            : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            std_rx_rmfifo_pattern_p         : <span class="comment">string</span>  := &quot;<span class="vhdllogic">00000</span>&quot;;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            std_rx_rmfifo_pattern_n         : <span class="comment">string</span>  := &quot;<span class="vhdllogic">00000</span>&quot;;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            std_tx_bitslip_enable           : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            std_rx_word_aligner_mode        : <span class="comment">string</span>  := <span class="keyword">&quot;bit_slip&quot;</span>;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            std_rx_word_aligner_pattern_len : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">7</span>;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            std_rx_word_aligner_pattern     : <span class="comment">string</span>  := &quot;<span class="vhdllogic">0000000000</span>&quot;;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            std_rx_word_aligner_rknumber    : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">3</span>;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            std_rx_word_aligner_renumber    : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">3</span>;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            std_rx_word_aligner_rgnumber    : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">3</span>;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            std_rx_run_length_val           : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">31</span>;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            std_tx_bitrev_enable            : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            std_rx_bitrev_enable            : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            std_tx_byterev_enable           : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            std_rx_byterev_enable           : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            std_tx_polinv_enable            : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;            std_rx_polinv_enable            : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        );</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="vhdlkeyword">port</span> (</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            pll_powerdown             : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- pll_powerdown</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;            tx_analogreset            : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_analogreset</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            tx_digitalreset           : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_digitalreset</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            tx_pll_refclk             : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_pll_refclk</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            tx_pma_clkout             : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- tx_pma_clkout</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            tx_serial_data            : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- tx_serial_data</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            tx_pma_parallel_data      : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">159</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_pma_parallel_data</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;            pll_locked                : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- pll_locked</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            tx_cal_busy               : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- tx_cal_busy</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            reconfig_to_xcvr          : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">279</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- reconfig_to_xcvr</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;            reconfig_from_xcvr        : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">183</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- reconfig_from_xcvr</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            ext_pll_clk               : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- ext_pll_clk</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            rx_analogreset            : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_analogreset</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;            rx_digitalreset           : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_digitalreset</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;            rx_cdr_refclk             : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_cdr_refclk</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;            rx_pma_clkout             : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_pma_clkout</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;            rx_serial_data            : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_serial_data</span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;            rx_pma_parallel_data      : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">159</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- rx_pma_parallel_data</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;            rx_clkslip                : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_clkslip</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;            rx_clklow                 : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_clklow</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;            rx_fref                   : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_fref</span></div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;            rx_set_locktodata         : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_set_locktodata</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;            rx_set_locktoref          : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_set_locktoref</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;            rx_is_lockedtoref         : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_is_lockedtoref</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;            rx_is_lockedtodata        : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_is_lockedtodata</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            rx_seriallpbken           : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_seriallpbken</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;            rx_signaldetect           : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_signaldetect</span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;            tx_parallel_data          : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">87</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)  := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_parallel_data</span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;            rx_parallel_data          : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">127</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- rx_parallel_data</span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;            tx_std_coreclkin          : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_std_coreclkin</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;            rx_std_coreclkin          : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_std_coreclkin</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;            tx_std_clkout             : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- tx_std_clkout</span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;            rx_std_clkout             : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_std_clkout</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;            rx_std_prbs_done          : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_std_prbs_done</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;            rx_std_prbs_err           : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_std_prbs_err</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;            tx_std_pcfifo_full        : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- tx_std_pcfifo_full</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;            tx_std_pcfifo_empty       : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- tx_std_pcfifo_empty</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;            rx_std_pcfifo_full        : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_std_pcfifo_full</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;            rx_std_pcfifo_empty       : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_std_pcfifo_empty</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;            rx_std_byteorder_ena      : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_std_byteorder_ena</span></div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;            rx_std_byteorder_flag     : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_std_byteorder_flag</span></div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;            rx_std_rmfifo_full        : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_std_rmfifo_full</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;            rx_std_rmfifo_empty       : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_std_rmfifo_empty</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;            rx_std_wa_patternalign    : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_std_wa_patternalign</span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;            rx_std_wa_a1a2size        : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_std_wa_a1a2size</span></div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;            tx_std_bitslipboundarysel : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">9</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_std_bitslipboundarysel</span></div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;            rx_std_bitslipboundarysel : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">9</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_std_bitslipboundarysel</span></div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            rx_std_bitslip            : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_std_bitslip</span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            rx_std_runlength_err      : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_std_runlength_err</span></div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            rx_std_bitrev_ena         : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_std_bitrev_ena</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;            rx_std_byterev_ena        : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_std_byterev_ena</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;            tx_std_polinv             : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_std_polinv</span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;            rx_std_polinv             : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_std_polinv</span></div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;            tx_std_elecidle           : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)   := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_std_elecidle</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;            rx_std_signaldetect       : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                      <span class="keyword">-- rx_std_signaldetect</span></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;            rx_cal_busy               : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)<span class="keyword">                       -- rx_cal_busy</span></div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        );</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">component</span> <span class="vhdlchar">altera_xcvr_native_av</span>;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="vhdlkeyword">begin</span></div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    felix_link_inst : <span class="vhdlkeyword">component</span> altera_xcvr_native_av</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        <span class="vhdlkeyword">generic</span> <span class="vhdlkeyword">map</span> (</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;            tx_enable                        =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;            rx_enable                        =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;            enable_std                       =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;            data_path_select                 =&gt; <span class="keyword">&quot;pma_direct&quot;</span>,</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;            channels                         =&gt; <span class="vhdllogic">2</span>,</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;            bonded_mode                      =&gt; <span class="keyword">&quot;non_bonded&quot;</span>,</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;            data_rate                        =&gt; &quot;<span class="vhdllogic">9618.72 Mbps</span>&quot; ,</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;            pma_width                        =&gt; <span class="vhdllogic">80</span>,</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;            tx_pma_clk_div                   =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;            pll_reconfig_enable              =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;            pll_external_enable              =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;            pll_data_rate                    =&gt; &quot;<span class="vhdllogic">9618.72 Mbps</span>&quot; ,</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;            pll_type                         =&gt; <span class="keyword">&quot;CMU&quot;</span>,</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;            pma_bonding_mode                 =&gt; <span class="keyword">&quot;x1&quot;</span>,</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;            plls                             =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;            pll_select                       =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;            pll_refclk_cnt                   =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;            pll_refclk_select                =&gt; &quot;<span class="vhdllogic">0</span>&quot;,</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;            pll_refclk_freq                  =&gt; &quot;<span class="vhdllogic">120.234 MHz</span>&quot; ,</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;            pll_feedback_path                =&gt; <span class="keyword">&quot;internal&quot;</span>,</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;            cdr_reconfig_enable              =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;            cdr_refclk_cnt                   =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;            cdr_refclk_select                =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;            cdr_refclk_freq                  =&gt; &quot;<span class="vhdllogic">125.0 MHz</span>&quot; ,</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;            rx_ppm_detect_threshold          =&gt; &quot;<span class="vhdllogic">1000</span>&quot;,</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;            rx_clkslip_enable                =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;            std_protocol_hint                =&gt; <span class="keyword">&quot;basic&quot;</span>,</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;            std_pcs_pma_width                =&gt; <span class="vhdllogic">10</span>,</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;            std_low_latency_bypass_enable    =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;            std_tx_pcfifo_mode               =&gt; <span class="keyword">&quot;low_latency&quot;</span>,</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;            std_rx_pcfifo_mode               =&gt; <span class="keyword">&quot;low_latency&quot;</span>,</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;            std_rx_byte_order_enable         =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;            std_rx_byte_order_mode           =&gt; <span class="keyword">&quot;manual&quot;</span>,</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;            std_rx_byte_order_width          =&gt; <span class="vhdllogic">10</span>,</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;            std_rx_byte_order_symbol_count   =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;            std_rx_byte_order_pattern        =&gt; &quot;<span class="vhdllogic">0</span>&quot;,</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;            std_rx_byte_order_pad            =&gt; &quot;<span class="vhdllogic">0</span>&quot;,</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;            std_tx_byte_ser_enable           =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;            std_rx_byte_deser_enable         =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;            std_tx_8b10b_enable              =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;            std_tx_8b10b_disp_ctrl_enable    =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;            std_rx_8b10b_enable              =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;            std_rx_rmfifo_enable             =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;            std_rx_rmfifo_pattern_p          =&gt; &quot;<span class="vhdllogic">00000</span>&quot;,</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;            std_rx_rmfifo_pattern_n          =&gt; &quot;<span class="vhdllogic">00000</span>&quot;,</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;            std_tx_bitslip_enable            =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;            std_rx_word_aligner_mode         =&gt; <span class="keyword">&quot;bit_slip&quot;</span>,</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;            std_rx_word_aligner_pattern_len  =&gt; <span class="vhdllogic">7</span>,</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;            std_rx_word_aligner_pattern      =&gt; &quot;<span class="vhdllogic">0000000000</span>&quot;,</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;            std_rx_word_aligner_rknumber     =&gt; <span class="vhdllogic">3</span>,</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;            std_rx_word_aligner_renumber     =&gt; <span class="vhdllogic">3</span>,</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;            std_rx_word_aligner_rgnumber     =&gt; <span class="vhdllogic">3</span>,</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;            std_rx_run_length_val            =&gt; <span class="vhdllogic">31</span>,</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;            std_tx_bitrev_enable             =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;            std_rx_bitrev_enable             =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;            std_tx_byterev_enable            =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;            std_rx_byterev_enable            =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;            std_tx_polinv_enable             =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;            std_rx_polinv_enable             =&gt; <span class="vhdllogic">0</span></div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;        <span class="vhdlchar">)</span></div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;        <span class="vhdlkeyword">port</span> <span class="vhdlkeyword">map</span> (</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;            pll_powerdown              =&gt; pll_powerdown ,<span class="keyword">                                                                              --        pll_powerdown.pll_powerdown</span></div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;            tx_analogreset             =&gt; tx_analogreset,<span class="keyword">                                                                             --       tx_analogreset.tx_analogreset</span></div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;            tx_digitalreset            =&gt; tx_digitalreset,<span class="keyword">                                                                            --      tx_digitalreset.tx_digitalreset</span></div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;            tx_pll_refclk              =&gt; tx_pll_refclk,<span class="keyword">                                                                              --        tx_pll_refclk.tx_pll_refclk</span></div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;            tx_pma_clkout              =&gt; tx_pma_clkout,<span class="keyword">                                                                              --        tx_pma_clkout.tx_pma_clkout</span></div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;            tx_serial_data             =&gt; tx_serial_data,<span class="keyword">                                                                             --       tx_serial_data.tx_serial_data</span></div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;            tx_pma_parallel_data       =&gt; tx_pma_parallel_data,<span class="keyword">                                                                       -- tx_pma_parallel_data.tx_pma_parallel_data</span></div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;            pll_locked                 =&gt; pll_locked,<span class="keyword">                                                                                 --           pll_locked.pll_locked</span></div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;            tx_cal_busy                =&gt; tx_cal_busy,<span class="keyword">                                                                                --          tx_cal_busy.tx_cal_busy</span></div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;            reconfig_to_xcvr           =&gt; reconfig_to_xcvr ,<span class="keyword">                                                                           --     reconfig_to_xcvr.reconfig_to_xcvr</span></div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;            reconfig_from_xcvr         =&gt; reconfig_from_xcvr,<span class="keyword">                                                                         --   reconfig_from_xcvr.reconfig_from_xcvr</span></div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;            ext_pll_clk                =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;            rx_analogreset             =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;            rx_digitalreset            =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;            rx_cdr_refclk              =&gt; &quot;<span class="vhdllogic">0</span>&quot;,<span class="keyword">                                                                                        --          (terminated)</span></div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;            rx_pma_clkout              =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;            rx_serial_data             =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;            rx_pma_parallel_data       =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;            rx_clkslip                 =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;            rx_clklow                  =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;            rx_fref                    =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;            rx_set_locktodata          =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;            rx_set_locktoref           =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;            rx_is_lockedtoref          =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;            rx_is_lockedtodata         =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;            rx_seriallpbken            =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;            rx_signaldetect            =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;            tx_parallel_data           =&gt; &quot;<span class="vhdllogic">0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000</span>&quot;,<span class="keyword"> --          (terminated)</span></div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;            rx_parallel_data           =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;            tx_std_coreclkin           =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;            rx_std_coreclkin           =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;            tx_std_clkout              =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;            rx_std_clkout              =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;            rx_std_prbs_done           =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;            rx_std_prbs_err            =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;            tx_std_pcfifo_full         =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;            tx_std_pcfifo_empty        =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;            rx_std_pcfifo_full         =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;            rx_std_pcfifo_empty        =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;            rx_std_byteorder_ena       =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;            rx_std_byteorder_flag      =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;            rx_std_rmfifo_full         =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;            rx_std_rmfifo_empty        =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;            rx_std_wa_patternalign     =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;            rx_std_wa_a1a2size         =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;            tx_std_bitslipboundarysel  =&gt; &quot;<span class="vhdllogic">0000000000</span>&quot;,<span class="keyword">                                                                               --          (terminated)</span></div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;            rx_std_bitslipboundarysel  =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;            rx_std_bitslip             =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;            rx_std_runlength_err       =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;            rx_std_bitrev_ena          =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;            rx_std_byterev_ena         =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;            tx_std_polinv              =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;            rx_std_polinv              =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;            tx_std_elecidle            =&gt; &quot;<span class="vhdllogic">00</span>&quot;,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;            rx_std_signaldetect        =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">                                                                                       --          (terminated)</span></div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;            rx_cal_busy                =&gt; <span class="vhdlkeyword">open</span>                                                                                        <span class="keyword">--          (terminated)</span></div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;        <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">architecture</span> <span class="vhdlchar">rtl</span>;<span class="keyword"> -- <span class="vhdlkeyword">of</span> FELIX_LINK</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:17 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
